View Issue Details

IDProjectCategoryView StatusLast Update
0004927GNUnetGNSpublic2019-02-28 11:17
ReporterChristian GrothoffAssigned Toschanzen 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0004927: pad GNS responses
DescriptionDKG made a good argument for padding all replies to a fixed multiple of some block size, i.e. 128 bytes.
TagsNo tags attached.

Activities

Christian Grothoff

2017-02-26 23:54

manager   ~0011865

Note that there is an EDNS(0) extension for padding, so we do not need to invent a new record type for padding.

Christian Grothoff

2017-02-26 23:55

manager   ~0011866

Wonder if we should bother padding pure PKEY replies, as those all will be one size, so maybe having that one (common) GNS-specific non-128-multiple would make sense.

schanzen

2018-06-24 18:07

developer   ~0013071

resolved in 1981ffec4ad18287efe8ab693390e1d498de05bf
The serialized record set is padded to the next power of 2.
There is not actually a padding record added as we do not (want to) support EDNS0 anyway.

Issue History

Date Modified Username Field Change
2017-02-26 23:53 Christian Grothoff New Issue
2017-02-26 23:54 Christian Grothoff Note Added: 0011865
2017-02-26 23:55 Christian Grothoff Note Added: 0011866
2018-06-24 17:14 schanzen Assigned To => schanzen
2018-06-24 17:14 schanzen Status new => assigned
2018-06-24 18:07 schanzen Status assigned => resolved
2018-06-24 18:07 schanzen Resolution open => fixed
2018-06-24 18:07 schanzen Fixed in Version => SVN HEAD
2018-06-24 18:07 schanzen Note Added: 0013071
2019-02-16 11:55 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed